Package Details: jack-smf-utils 1.0-4

Git Clone URL: (read-only)
Package Base: jack-smf-utils
Description: JACK MIDI player and recorder with JACK Transport sync
Upstream URL:
Licenses: BSD
Submitter: lee
Maintainer: lee
Last Packager: lee
Votes: 1
Popularity: 0.000000
First Submitted: 2009-12-23 10:22
Last Updated: 2015-06-18 14:16

Latest Comments

lee commented on 2013-07-14 23:06

Thanks @jerash, fixed in v1.0-3.

Anonymous comment on 2013-07-14 09:47

hello, i couldn't compile due to the following error :
==> Making package: jack-smf-utils 1.0-7 (Sun Jul 14 11:43:49 CEST 2013)
==> WARNING: Using a PKGBUILD without a package() function is deprecated.
... error: required file './compile' not found 'automake --add-missing' can install 'compile'
autoreconf: automake failed with exit status: 1

my versions of packages are as follow :
autoconf 2.69-1
automake 1.14-1
libtool 2.4.2-10

I tried with lower version of automake without success, is there something i can do for a successfull compilation ?

lee commented on 2011-10-24 09:24

@orbisvicis Thanks, updated.

orbisvicis commented on 2011-10-24 04:19

Updated PKGBUILD, updated build-system patch, new libsmf-compatibility patch

lee commented on 2010-09-11 01:28

Patched to depend on libsmf, just as mididings does.

For testing purposes I've uploaded an experimental
denemo version that also depends on libsmf.

and there is a new thread in the forum:

lee commented on 2010-09-08 11:42

Thanks. Results of some brief investigation:
This occurred in debian as well [1], seems like they solved it by outsourcing libsmf [2],[3].
libsmf exists in AUR, used by mididings. It gives the same file conflict.
I'd say it should be outsourced as a dependency of denemo, mididings and jack-smf-utils

So far for now, I'll continue later (tonight).


hollunder commented on 2010-09-08 10:02

Hi. I just tried installing denemo from community and got:
denemo: /usr/bin/smfsh exists in filesystem

$ pacman -Qo /usr/bin/smfsh
/usr/bin/smfsh is owned by jack-smf-utils 1.0-1